gi-gdkx11-3.0.15: GdkX11 bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GdkX11.Objects.X11DeviceManagerCore

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype X11DeviceManagerCore = X11DeviceManagerCore (ManagedPtr X11DeviceManagerCore)
- class (GObject o, IsDescendantOf X11DeviceManagerCore o) => IsX11DeviceManagerCore o
- toX11DeviceManagerCore :: (MonadIO m, IsX11DeviceManagerCore o) => o -> m X11DeviceManagerCore

# Exported types

newtype X11DeviceManagerCore Source #

Memory-managed wrapper type.

Constructors

X11DeviceManagerCore (ManagedPtr X11DeviceManagerCore) |

#### Instances

Instances details

Eq X11DeviceManagerCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerCore Methods (==) :: X11DeviceManagerCore -> X11DeviceManagerCore -> Bool Source # (/=) :: X11DeviceManagerCore -> X11DeviceManagerCore -> Bool Source #
GObject X11DeviceManagerCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerCore
ManagedPtrNewtype X11DeviceManagerCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerCore Methods toManagedPtr :: X11DeviceManagerCore -> ManagedPtr X11DeviceManagerCore Source #
TypedObject X11DeviceManagerCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerCore Methods glibType :: IO GType Source #
HasParentTypes X11DeviceManagerCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerCore
IsGValue (Maybe X11DeviceManagerCore) Source # | Convert `X11DeviceManagerCore` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerCore Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe X11DeviceManagerCore -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe X11DeviceManagerCore) Source #
type ParentTypes X11DeviceManagerCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerCore type ParentTypes X11DeviceManagerCore = '[DeviceManager, Object]

class (GObject o, IsDescendantOf X11DeviceManagerCore o) => IsX11DeviceManagerCore o Source #

Type class for types which can be safely cast to `X11DeviceManagerCore`, for instance with `toX11DeviceManagerCore`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11DeviceManagerCore o) => IsX11DeviceManagerCore o Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerCore

toX11DeviceManagerCore :: (MonadIO m, IsX11DeviceManagerCore o) => o -> m X11DeviceManagerCore Source #

Cast to `X11DeviceManagerCore`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, listDevices, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getClientPointer, getData, getDisplay, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.